Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.beans.decisiontree
Class DecisionTree

    java.lang.Object
      com.ibm.able.beans.decisiontree.LearningAlgorithm
          com.ibm.able.beans.decisiontree.DecisionTree

All Implemented Interfaces:
  java.io.Serializable

public class DecisionTree
extends LearningAlgorithm
implements java.io.Serializable

class DecisionTree

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `Copyright`
`static short` | `RUN`
`static short` | `TEST`
`static short` | `TRAIN`

Constructor Summary
`DecisionTree()` constructor

Method Summary
`void` | `buildHypothesis(Data data)` buildHypothesis
`void` | `classifyBatch(Data data)` classifyBatch
`short` | `classifyOneExample(Data data, short[] example)` classifyOneExample
`TreeNode` | `getRoot()`
`void` | `outputStats()` outputStats
`void` | `printHypothesis(Data data)` printHypothesis
`void` | `pruneHypothesis(Data data)` pruneHypothesis
`void` | `readOptions()` readOptions

Methods inherited from class com.ibm.able.beans.decisiontree.LearningAlgorithm
`classify, fileName, readGeneralOptions, setFileName, setTestExamples, testExamples`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Copyright

    public static final java.lang.String Copyright

See Also:
  Constant Field Values

### TRAIN

    public static final short TRAIN

See Also:
  Constant Field Values

### TEST

    public static final short TEST

See Also:
  Constant Field Values

### RUN

    public static final short RUN

See Also:
  Constant Field Values

Constructor Detail

### DecisionTree

    public DecisionTree()

  constructor

Method Detail

### readOptions

    public void readOptions()

  readOptions

### buildHypothesis

    public void buildHypothesis(Data data)

  buildHypothesis

  Overrides:
    `buildHypothesis` in class `LearningAlgorithm`

### getRoot

    public TreeNode getRoot()

### pruneHypothesis

    public void pruneHypothesis(Data data)

  pruneHypothesis

  Overrides:
    `pruneHypothesis` in class `LearningAlgorithm`

### printHypothesis

    public void printHypothesis(Data data)

  printHypothesis

  Overrides:
    `printHypothesis` in class `LearningAlgorithm`

### outputStats

    public void outputStats()

  outputStats

  Overrides:
    `outputStats` in class `LearningAlgorithm`

### classifyBatch

    public void classifyBatch(Data data)

  classifyBatch

### classifyOneExample

    public short classifyOneExample(Data data,
                                    short[] example)

  classifyOneExample

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005